# -*- encoding: utf-8 -*-
# stub: file_overwrite 1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "file_overwrite".freeze
  s.version = "1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "yard.run" => "yri" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Masa Sakano".freeze]
  s.date = "2018-10-13"
  s.description = "This class provides a Ruby-oriented scheme to safely overwrite an existing file, leaving a backup file unless specified otherwise.  It writes a temporary file first, which is renamed to the original file in one action.  It accepts a block like some IO class-methods (e.g., each_line) and chaining like String methods (e.g., sub and gsub).".freeze
  s.extra_rdoc_files = ["README.en.rdoc".freeze]
  s.files = ["README.en.rdoc".freeze]
  s.homepage = "https://www.wisebabel.com".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Class to overwrite an existing file safely".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
